<template>
  <div class="counter">
    <div class="up" v-ripple @click="plus">
      <ArrowUp class="icon"/>
    </div>
    <div class="count">
      {{ value }}
    </div>
    <div class="down" v-ripple @click="minus">
      <ArrowDown class="icon" />
    </div>
  </div>
</template>

<script>
import Button from "@/components/base/Button";
import ClearIcon from "@/assets/svgs/close.svg";
import ArrowUp from "@/assets/svgs/keyboard_arrow_up.svg";
import ArrowDown from "@/assets/svgs/keyboard_arrow_down.svg";
import numeral from "numeral";

export default {
  name: "Counter",
  components: {
    Button,
    ClearIcon,
    ArrowUp,
    ArrowDown
  },
  data() {
    return {
      count: this.value
    }
  },
  props: {
    value: {
      type: Number,
      required: true
    },
    max: {
      type: Number,
      default: undefined
    },
    min: {
      type: Number,
      default: undefined
    }
  },
  methods: {
    plus() {
      this.$emit('increaseRequest');
    }, 
    minus() {
      this.$emit('decreaseRequest');
    }
  }
}
</script>

<style lang="stylus" scoped>
@import "~assets/styles/variables"

.count
  padding .5rem 2rem .1rem 2rem
  border-radius 1rem
  background-color rgba($white, .05)
  color rgba($white, .7)
  font-size 3rem
  font-weight 800
  display flex
  flex-direction column
  align-items center
  margin $xxsm 0
  @media only screen and (max-width 600px)
    padding .5rem 1rem .1rem 1rem
    font-size 2rem

.up, .down
  display flex
  align-items center
  justify-content center
  padding $xxsm
  border-radius 1rem
  &:hover
    background-color rgba(white, .05)
    cursor pointer

.icon
  fill $white
</style>